#include <kmainwindow.h>
#include <kurl.h>
#include <kparts/browserextension.h>

class QLineEdit;
class KHTMLPart;
class QSplitter;
class QPushButton;

class MainWindow : public KMainWindow
{
  Q_OBJECT
public:

    MainWindow ( const char * name );

public slots:
    void changeLocation();
    void openURLRequest(const KURL &url, const KParts::URLArgs & );
    void bookLocation();

private:

    QLineEdit *location;
    KHTMLPart *browser;
    QPushButton *bookmark;
    QSplitter *split;
};
