#include "p9Iface.h"
#include <kmainwindow.h>
#include <kurl.h>
#include <kparts/browserextension.h>
#include <qvaluestack.h>

class QLineEdit;
class KHTMLPart;

class MainWindow : public KMainWindow, virtual public p9Iface
{
  Q_OBJECT
  public:
    MainWindow ( const char * titulo );

    virtual void setURL ( const QString url );

  public slots:
    void fileSetDefaultPage();
    void changeLocation();
    void bookLocation();
    void gotoPreviousPage();
    void openURLRequest(const KURL &url, const KParts::URLArgs & );

  private:
    QLineEdit *location;
    KHTMLPart *browser;
    QValueStack <QString> history;
};
