#include "p6.h"
#include <klocale.h>
#include <kapp.h>
#include <dcopclient.h>

MainList::MainList() : QListView ( 0L, "Bookmarks" ), 
			DCOPObject ( "bookmarkList" )
{
   addColumn( i18n("My Bookmarks") );

   DCOPClient *client=kapp->dcopClient();
   client->attach();
   client->registerAs("p6");
};

void MainList::add( const QString s )
{
   insertItem ( new QListViewItem ( this , s ) ); 
};

